404 after pressing Wiki on closed project

2012-06-27 11:46 - Ivan Cenov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

trunk, r9901

Error 404 after pressing Wiki on closed project. Way to reproduce

1. Create a project with enabled wiki module but do not create wiki pages.

2. Close the project.

3. Press Wiki link on the menu -> 404 page appears.

4. Return to the project overview.

5. Open the project.

6. Press Wiki link on the menu -> Wiki editor window appears

History

#1 - 2012-06-27 18:32 - Jean-Philippe Lang

Well, the page does not exist and you can't create it since the project is closed so it seems like an appropriate behaviour to me.

What do you expect?

#2 - 2012-06-28 17:01 - Ivan Cenov

I got used to think when I saw some error (par example 404) that something wrong had happened or something had been not in order. This was my

first impression when I saw 404 in above scenario.

This happens when there is no wiki at all. If the project is active the behavior is to open an edit window to create first wiki page. What about if the

project is closed a message to be shown instead of 404? Par example:

"There is no wiki created in this project"

Certainly, it is ok things to stay as they are now too.

#3 - 2013-04-07 22:18 - Ivan Cenov

Please close this issue.

#4 - 2013-04-08 06:13 - Toshi MARUYAMA

- Status changed from New to Closed

Ivan Cenov wrote:

Please close this issue.

 Thank you for your feedback.
